Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

## Class StructuredRemittanceInformationSDD

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_002_01.StructuredRemittanceInformationSDD

    public class StructuredRemittanceInformationSDD
    extends java.lang.Object

Java class for StructuredRemittanceInformationSDD complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StructuredRemittanceInformationSDD">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CdtrRefInf" type="{urn:swift:xsd:$pain.008.002.01}CreditorReferenceInformationSDD" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CreditorReferenceInformationSDD` `cdtrRefInf`

### Constructor Summary

Constructors
`StructuredRemittanceInformationSDD()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreditorReferenceInformationSDD` `getCdtrRefInf()` Gets the value of the cdtrRefInf property.
`void` `setCdtrRefInf​(CreditorReferenceInformationSDD value)` Sets the value of the cdtrRefInf property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cdtrRefInf

    protected CreditorReferenceInformationSDD cdtrRefInf

### Constructor Detail

#### StructuredRemittanceInformationSDD

    public StructuredRemittanceInformationSDD()

### Method Detail

#### getCdtrRefInf

    public CreditorReferenceInformationSDD getCdtrRefInf()

Gets the value of the cdtrRefInf property.

Returns:
  possible object is `CreditorReferenceInformationSDD`

#### setCdtrRefInf

    public void setCdtrRefInf​(CreditorReferenceInformationSDD value)

Sets the value of the cdtrRefInf property.

Parameters:
  `value` - allowed object is `CreditorReferenceInformationSDD`